apiVersion: v1
kind: Service
metadata:
  name: {{ include "mediawiki.fullname" . }}
  labels:
{{ include "mediawiki.labels" . | indent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ .Values.service.targetPort }}
      protocol: {{ .Values.service.protocol }}
      name: http
  selector:
    app.kubernetes.io/name: {{ include "mediawiki.name" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}

